<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: Developers Showcase
| Filename: dev_myshowcase_admin.php
| Author: Ankur Thakur
| Site: http://ankurthakur.in/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";
require_once INCLUDES."bbcode_include.php";
// Including Custom File
include "customfunctions.php";

if (!checkrights("DS")||!defined("iAUTH")||$_GET['aid']!=iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."dev_showcase/locale/".$settings['locale'].".php")) {
	include INFUSIONS."dev_showcase/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."dev_showcase/locale/English.php";
}
include INFUSIONS."dev_showcase/infusion_db.php";

// Adding jQuery Colorbox to Header
add_to_head("<link media='screen' rel='stylesheet' href='".INCLUDES."jquery/colorbox/colorbox.css' /> ");
add_to_head("<script type='text/javascript' src='".INCLUDES."jquery/colorbox/jquery.colorbox.js'></script>");

// Adding the Colorbox Function to Footer
add_to_footer("<script type='text/javascript'> 
		$(document).ready(function(){
			$(\"a[rel='addonimage']\").colorbox({transition:\"fade\",maxWidth:\"70%\"});
		});
</script>");

// Checking for the PHP Setting allow_url_fopen otherwise the Infusion is of No Use
if(ini_get('allow_url_fopen') == 0)
{
	echo "<div class='admin-message'>".$locale['ds_urlfopenerror']."</div>\n";
}

opentable($locale['ms_title']);

// Version Checker
if (isset($_GET['checkupdate']) && isnum($_GET['checkupdate']) && $_GET['checkupdate'] == 1) {
version_checker(1.0, 'http://ankurthakur.in/infusions/dev_showcase/addons.xml', $locale['ds_title']);
}

// Creating Info for Errors
if (isset($_GET['error']) && isnum($_GET['error'])) {
	if ($_GET['error'] == 0) {
		$message = $locale['901'];
	} elseif ($_GET['error'] == 1) {
		$message = $locale['ms_addonadded'];
	}
	elseif ($_GET['error'] == 2) {
		$message = $locale['ms_addondeleted'];
	}
	if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; 
	}
}

// Adding the Addon into Database
if (isset($_POST['submit_addon']) && isset($_POST['addon_title']) && isset($_POST['addon_type']) && isset($_POST['addon_version']) && isset($_POST['addon_desc']) && isset($_POST['addon_link']))
{
	$result = dbquery("INSERT INTO ".DB_DEV_MYADDONS." (addon_id, addon_name, addon_type, addon_version, addon_thumb, addon_screenshot, addon_desc, addon_link, addon_datestamp) VALUES('0', '".stripinput($_POST['addon_title'])."', '".stripinput($_POST['addon_type'])."', '".stripinput($_POST['addon_version'])."', '".stripinput($_POST['addon_thumb'])."', '".stripinput($_POST['addon_screenshot'])."', '".stripinput($_POST['addon_desc'])."', '".stripinput($_POST['addon_link'])."', '".time()."')");
	if (!$result) { redirect(FUSION_SELF.$aidlink."&error=0"); }	else {	redirect(FUSION_SELF.$aidlink."&error=1");	}
}

// Editing the Addon
if (isset($_POST['edit_addon']) && isset($_POST['addon_id']) && isset($_POST['addon_title']) && isset($_POST['addon_type']) && isset($_POST['addon_version']) && isset($_POST['addon_desc']) && isset($_POST['addon_link']))
{
	$result = dbquery("UPDATE ".DB_DEV_MYADDONS." SET addon_name='".stripinput($_POST['addon_title'])."', addon_type='".stripinput($_POST['addon_type'])."', addon_version='".stripinput($_POST['addon_version'])."', addon_thumb='".stripinput($_POST['addon_thumb'])."', addon_desc='".stripinput($_POST['addon_desc'])."', addon_link='".stripinput($_POST['addon_link'])."', addon_datestamp='".time()."' WHERE addon_id='".stripinput($_POST['addon_id'])."'");
	if (!$result) { redirect(FUSION_SELF.$aidlink."&error=0"); }	else {	redirect(FUSION_SELF.$aidlink."&error=1");	}
}

// Removing an Addon
if(isset($_GET['remove']) && isNum($_GET['remove']))
{
	$result = dbquery("DELETE FROM ".DB_DEV_MYADDONS." WHERE addon_id='".stripinput($_GET['remove'])."'");
	if (!$result) { redirect(FUSION_SELF.$aidlink."&error=0"); }	else {	redirect(FUSION_SELF.$aidlink."&error=2");	}
}

// Input for Your Addons
opentable($locale['ms_addaddon']);

	// If Editing, then do it in the same Form
	if(isset($_GET['edit']) && isNum($_GET['edit']))
	{	$data = dbarray(dbquery("SELECT * FROM ".DB_DEV_MYADDONS." where addon_id='".stripinput($_GET['edit'])."'"));	}

		echo "<form name='add_addon' method='post' action='".FUSION_SELF.$aidlink."'>\n";
		echo "<table cellpadding='0' cellspacing='0' width='100%' align='center' style='padding: 5px;'>\n";
		// Addon Title
		echo "<tr>\n";
		echo "<td valign='top' class='tbl2' style='padding: 5px;'>".$locale['ds_01']."<span style='color:#ff0000'>*</span></td>\n";
		echo "<td class='tbl2' style='padding: 5px;'>: <input type='text' size='80' maxlength='200' ".(isset($_GET['edit']) ? "value='".$data['addon_name']."'" : "")." name='addon_title' class='textbox' /></td>\n";
		echo "</tr>\n";
		// Addon Type
		echo "<tr>\n";
		echo "<td valign='top' class='tbl1' style='padding: 5px;'>".$locale['ds_09b']."<span style='color:#ff0000'>*</span></td>\n";
		echo "<td class='tbl1' style='padding: 5px;'>: \n";
		echo "<input type='radio' name='addon_type' value='0' ".($data['addon_type'] == 0 ? "checked" : "")." />&nbsp;".$locale['ds_14a']."\n";
		echo "<input type='radio' name='addon_type' value='1' ".($data['addon_type'] == 1 ? "checked" : "")." />&nbsp;".$locale['ds_14b']."\n";
		echo "<input type='radio' name='addon_type' value='2' ".($data['addon_type'] == 2 ? "checked" : "")." />&nbsp;".$locale['ds_14c']."\n";
		echo "<input type='radio' name='addon_type' value='3' ".($data['addon_type'] == 3 ? "checked" : "")." />&nbsp;".$locale['ds_14d']."\n";
		echo "<input type='radio' name='addon_type' value='4' ".($data['addon_type'] == 4 ? "checked" : "")." />&nbsp;".$locale['ds_14e']."\n";
		echo "</td>\n</tr>\n";
		// Addon Version
		echo "<tr>\n";
		echo "<td valign='top' class='tbl2' style='padding: 5px;'>".$locale['ds_09c']."<span style='color:#ff0000'>*</span></td>\n";
		echo "<td class='tbl2' style='padding: 5px;'>: <input type='text' size='10' maxlength='10' ".(isset($_GET['edit']) ? "value='".$data['addon_version']."'" : "")." name='addon_version' class='textbox' /></td>\n";
		echo "</tr>\n";
		// Addon Description
		echo "<tr>\n";
		echo "<td valign='top' class='tbl1' style='padding: 5px;'>".$locale['ds_09d']."<span style='color:#ff0000'>*</span></td>\n";
		echo "<td class='tbl1' style='padding: 5px;'>: <textarea rows='5' name='addon_desc' class='textbox' cols='80'>".(isset($_GET['edit']) ? $data['addon_desc'] : "")."</textarea>\n";
		echo display_bbcodes("340px", "addon_desc", "add_addon", "smiley|url|img|b|i|u|left|center|right|small|big|color")."\n";
		echo "</td></tr>\n";
		// Addon Thumbnail
		echo "<tr>\n";
		echo "<td valign='top' class='tbl2' style='padding: 5px;'>".$locale['ds_10']."</td>\n";
		echo "<td class='tbl2' style='padding: 5px;'>: <input type='text' size='80' maxlength='200' name='addon_thumb' ".(isset($_GET['edit']) ? "value='".$data['addon_thumb']."'" : "")." class='textbox' /></td>\n";
		echo "</tr>\n";
		// Addon Full Screenshot
		echo "<tr>\n";
		echo "<td valign='top' class='tbl2' style='padding: 5px;'>".$locale['ds_11']."</td>\n";
		echo "<td class='tbl2' style='padding: 5px;'>: <input type='text' size='80' maxlength='200' name='addon_screenshot' ".(isset($_GET['edit']) ? "value='".$data['addon_screenshot']."'" : "")." class='textbox' /></td>\n";
		echo "</tr>\n";
		// Addon Link
		echo "<tr>\n";
		echo "<td valign='top' class='tbl1' style='padding: 5px;'>".$locale['ds_12']."<span style='color:#ff0000'>*</span></td>\n";
		echo "<td class='tbl1' style='padding: 5px;'>: <input type='text' size='80' maxlength='200' name='addon_link' ".(isset($_GET['edit']) ? "value='".$data['addon_link']."'" : "")." class='textbox' />\n";
		// Hidden field for Addon ID
		echo "<input type='hidden' name='addon_id' value='".$data['addon_id']."' />\n";
		echo "</td></tr>\n";
		// Buttons
		echo "<tr>\n";
		echo "<td valign='top' class='tbl2' style='padding: 5px;'><input type='submit' ".(isset($_GET['edit']) ? "value='".$locale['ds_04c']."' name='edit_addon'" : "value='".$locale['ds_04a']."' name='submit_addon'")." class='button' /></td>\n";
		echo "<td valign='top' class='tbl2' style='padding: 5px;'><input type='reset' value='".$locale['ds_04d']."' class='button' /></td>\n";
		echo "</tr>\n";
		echo "</table>\n</form>\n<br />\n";

closetable();

echo "<a href='".INFUSIONS."dev_showcase/dev_myshowcase_generate.php".$aidlink."'><b>".$locale['ds_13']."</b></a><br /><br />\n";

// Showing your Addons
opentable($locale['ms_addons']);

$result = dbquery("SELECT * FROM ".DB_DEV_MYADDONS." ORDER BY addon_datestamp DESC");

echo "<table cellpadding='0' cellspacing='0' width='100%' align='center' style='padding: 5px;'>\n";

		echo "<tr>\n";
		echo "<td valign='middle' class='tbl2'><b>".$locale['ds_01']."</b></td>\n";
		echo "<td valign='middle' class='tbl2'><b>".$locale['ds_09b']."</b></td>\n";
		echo "<td valign='middle' class='tbl2'><b>".$locale['ds_09c']."</b></td>\n";
		echo "<td valign='middle' class='tbl2'><b>".$locale['ds_09d']."</b></td>\n";
		echo "<td valign='middle' class='tbl2'><b>".$locale['ds_10']."</b></td>\n";
		echo "<td valign='middle' class='tbl2'><b>".$locale['ds_11']."</b></td>\n";
		echo "<td valign='middle' class='tbl2'><b>".$locale['ds_12']."</b></td>\n";
		echo "<td valign='middle' class='tbl2'><b>".$locale['ds_12a']."</b></td>\n";
		echo "</tr>\n";

while ($data = dbarray($result))
{
		echo "<tr>\n";
		echo "<td valign='middle' class='tbl1'>".$data['addon_name']."</td>\n";
		echo "<td valign='middle' class='tbl1'>";
		if ($data['addon_type'] == 0)	{ echo $locale['ds_14a'];}
		if ($data['addon_type'] == 1)	{ echo $locale['ds_14b'];}
		if ($data['addon_type'] == 2)	{ echo $locale['ds_14c'];}
		if ($data['addon_type'] == 3)	{ echo $locale['ds_14d'];}
		if ($data['addon_type'] == 4)	{ echo $locale['ds_14e'];}
		echo "</td>\n";
		echo "<td valign='middle' class='tbl1'>".$data['addon_version']."</td>\n";
		echo "<td valign='middle' class='tbl1'>".nl2br(parseubb(parsesmileys($data['addon_desc']), "smiley|url|img|b|i|u|left|center|right|small|big|color"))."</td>\n";
		echo "<td valign='middle' class='tbl1' style='text-align: center;'>".((!$data['addon_thumb']) ? "-" : "<a href='".$data['addon_thumb']."' rel='addonimage'><img src='".INFUSIONS."dev_showcase/images/image.png' alt='".$data['addon_name']."' border='0' /></a>")."</td>\n";
		echo "<td valign='middle' class='tbl1' style='text-align: center;'>".((!$data['addon_thumb']) ? "-" : "<a href='".$data['addon_screenshot']."' rel='addonimage'><img src='".INFUSIONS."dev_showcase/images/image.png' alt='".$data['addon_name']."' border='0' /></a>")."</td>\n";
		echo "<td valign='middle' class='tbl1' style='text-align: center;'><a href='".$data['addon_link']."' target='_blank'><img src='".INFUSIONS."dev_showcase/images/link.png' alt='".$data['addon_name']."' border='0' /></a></td>\n";
		echo "<td valign='middle' class='tbl1'><a href='".FUSION_SELF.$aidlink."&amp;remove=".$data['addon_id']."'><img src='".INFUSIONS."dev_showcase/images/delete.png' alt='Delete' border='0' /></a>&nbsp;<a href='".FUSION_SELF.$aidlink."&amp;edit=".$data['addon_id']."'><img src='".INFUSIONS."dev_showcase/images/pencil.png' alt='".$locale['ds_04c']."' border='0' /></a></td>\n";
		echo "</tr>\n";
}

echo "</table>\n<br />\n";

closetable();

// Author Copyright - Do Not Remove
echo "<hr /><br /><p align='center' style='font-weight: bold;'>\n";
echo "<a href='".FUSION_SELF.$aidlink."&checkupdate=1'>".$locale['ds_check_update']."</a> | <a href='http://ankurthakur.in/' target='_blank'>".$locale['ds_authorsite']."</a>";
echo "</p>\n";

closetable();

require_once THEMES."templates/footer.php";
?>