<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: Developers Showcase
| Filename: dev_myshowcase_generate.php
| Author: Ankur Thakur
| Site: http://ankurthakur.in/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";
// Including Custom File
include "customfunctions.php";

if (!checkrights("DS")||!defined("iAUTH")||$_GET['aid']!=iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."dev_showcase/locale/".$settings['locale'].".php")) {
	include INFUSIONS."dev_showcase/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."dev_showcase/locale/English.php";
}
include INFUSIONS."dev_showcase/infusion_db.php";

// Checking for the PHP Setting allow_url_fopen otherwise the Infusion is of No Use
if(ini_get('allow_url_fopen') == 0)
{
	echo "<div class='admin-message'>".$locale['ds_urlfopenerror']."</div>\n";
}

opentable($locale['ms_generator']);

// Version Checker
if (isset($_GET['checkupdate']) && isnum($_GET['checkupdate']) && $_GET['checkupdate'] == 1) {
version_checker(1.0, 'http://ankurthakur.in/infusions/dev_showcase/addons.xml', $locale['ds_title']);
}

// Creating Info for Errors
if (isset($_GET['error']) && isnum($_GET['error'])) {
	if ($_GET['error'] == 0) {
		$message = $locale['901'];
	}
	if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; 
	}
}

// Retrieving the Settings for Filename and Developer Name
$filename = dbarray(dbquery("SELECT settings_value FROM ".DB_SETTINGS_INF." where settings_name='showcasefilename'"),0);
$devname = dbarray(dbquery("SELECT settings_value FROM ".DB_SETTINGS_INF." where settings_name='showcasedevname'"),0);

// Link to the XML
$showcaselink = $settings['siteurl']."infusions/dev_showcase/".(isset($_POST['file_name']) ? $_POST['file_name'] : $filename['settings_value']).".xml";
echo "<div align='center'>".$locale['ds_15a']." : <a href='".$showcaselink."' target='_blank'>".$showcaselink."</a></div>\n";

// The Form for Settings
	echo "<form name='add_addon' method='post' action='".FUSION_SELF.$aidlink."'>\n";
	echo "<table cellpadding='0' cellspacing='0' align='center' style='padding: 5px;'>\n";
	// Developer Name
	echo "<tr>\n";
	echo "<td valign='top' class='tbl2' style='padding: 5px;'>".$locale['ds_15b']."</td>\n";
	echo "<td class='tbl2' style='padding: 5px;'>: <input type='text' size='80' maxlength='100' value='".(isset($_POST['dev_name']) ? $_POST['dev_name'] : $devname['settings_value'])."' name='dev_name' class='textbox' /></td>\n";
	echo "</tr>\n";
	// File Name
	echo "<tr>\n";
	echo "<td valign='top' class='tbl2' style='padding: 5px;'>".$locale['ds_15c']."</td>\n";
	echo "<td class='tbl2' style='padding: 5px;'>: <input type='text' size='32' maxlength='32' value='".(isset($_POST['file_name']) ? $_POST['file_name'] : $filename['settings_value'])."' name='file_name' class='textbox' /><b>.xml</b></td>\n";
	echo "</tr>\n";
	// Buttons
	echo "<tr>\n";
	echo "<td valign='top' class='tbl2' style='padding: 5px;'></td>\n";
	echo "<td valign='top' class='tbl2' style='padding: 5px;'><input type='submit' value='".$locale['ds_15d']."' name='generate' class='button' /></td>\n";
	echo "</tr>\n";
	echo "</table>\n</form>\n";

if(isset($_POST['generate']) && isset($_POST['dev_name']) && isset($_POST['file_name']))
{
// Saving the Settings by Query
$result1 = dbquery("UPDATE ".DB_SETTINGS_INF." SET settings_value='".stripinput($_POST['dev_name'])."' WHERE settings_name='showcasedevname'");
$result2 = dbquery("UPDATE ".DB_SETTINGS_INF." SET settings_value='".stripinput($_POST['file_name'])."' WHERE settings_name='showcasefilename'");
if (!$result1 || !$result2) { redirect(FUSION_SELF.$aidlink."&error=0"); }

// Declaring the main variable for storing the XML Data
$xmldata = "";

// Adding the XML HTags into the variable
$xmldata .= "<?xml version='1.0' encoding='UTF-8'?>\n";

$xmldata .= "<dev devname='".$_POST['dev_name']."' devlink='".$settings['siteurl']."'>\n";

// Querying the Addons and Details
$result = dbquery("SELECT addon_name, addon_type, addon_version, addon_thumb, addon_screenshot, addon_desc, addon_link FROM ".DB_DEV_MYADDONS." ORDER BY addon_datestamp");

while ($data = dbarray($result))
{
	if ($data['addon_type'] == 0)	{	$addon_type = $locale['ds_14a'];	}
	if ($data['addon_type'] == 1)	{	$addon_type = $locale['ds_14b'];	}
	if ($data['addon_type'] == 2)	{	$addon_type = $locale['ds_14c'];	}
	if ($data['addon_type'] == 3)	{	$addon_type = $locale['ds_14d'];	}
	if ($data['addon_type'] == 4)	{	$addon_type = $locale['ds_14e'];	}

	$xmldata .= "\t<addon name='".$data['addon_name']."' type='".$addon_type."' version='".$data['addon_version']."'>\n";
	$xmldata .= "\t\t<thumb large='".$data['addon_screenshot']."'>".$data['addon_thumb']."</thumb>\n";
	$xmldata .= "\t\t<desc>".$data['addon_desc']."</desc>\n";
	$xmldata .= "\t\t<link>".$data['addon_link']."</link>\n";
	$xmldata .= "\t</addon>\n";
}

// The End Tag for XML
$xmldata .= "</dev>";

// Now Writing the XML file
$filehandler = fopen($_POST['file_name'].".xml", 'w') or die($locale['ds_fileerror']);
fwrite($filehandler, $xmldata);
fclose($filehandler);

echo "<div id='close-message'><div class='admin-message'>".$locale['ms_generatesuccess']."</div></div>\n";

}

// Author Copyright - Do Not Remove
echo "<hr /><br /><p align='center' style='font-weight: bold;'>\n";
echo "<a href='".FUSION_SELF.$aidlink."&checkupdate=1'>".$locale['ds_check_update']."</a> | <a href='http://ankurthakur.in/' target='_blank'>".$locale['ds_authorsite']."</a>";
echo "</p>\n";

closetable();

require_once THEMES."templates/footer.php";
?>