<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: Developers Showcase
| Filename: dev_showcase_admin.php
| Author: Ankur Thakur
| Site: http://ankurthakur.in/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";
require_once INCLUDES."bbcode_include.php";
// Including Custom File
include "customfunctions.php";

if (!checkrights("DS")||!defined("iAUTH")||$_GET['aid']!=iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."dev_showcase/locale/".$settings['locale'].".php")) {
	include INFUSIONS."dev_showcase/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."dev_showcase/locale/English.php";
}
include INFUSIONS."dev_showcase/infusion_db.php";

// Adding jQuery Colorbox to Header
add_to_head("<link media='screen' rel='stylesheet' href='".INCLUDES."jquery/colorbox/colorbox.css' /> ");
add_to_head("<script type='text/javascript' src='".INCLUDES."jquery/colorbox/jquery.colorbox.js'></script>");

// Adding the Colorbox Function to Footer
add_to_footer("<script type='text/javascript'> 
		$(document).ready(function(){
			$(\"a[rel='thumbnail']\").colorbox({transition:\"fade\",maxWidth:\"70%\"});
		});
</script>");

// Checking for the PHP Setting allow_url_fopen otherwise the Infusion is of No Use
if(ini_get('allow_url_fopen') == 0)
{
	echo "<div class='admin-message'>".$locale['ds_urlfopenerror']."</div>\n";
}

opentable($locale['ds_title']);

// Version Checker
if (isset($_GET['checkupdate']) && isnum($_GET['checkupdate']) && $_GET['checkupdate'] == 1) {
version_checker(1.0, 'http://ankurthakur.in/infusions/dev_showcase/addons.xml', $locale['ds_title']);
}

// Creating Info for Errors
if (isset($_GET['error']) && isnum($_GET['error'])) {
	if ($_GET['error'] == 0) {
		$message = $locale['901'];
	} elseif ($_GET['error'] == 1) {
		$message = $locale['ds_xmlerror'];
	}
	elseif ($_GET['error'] == 2) {
		$message = $locale['ds_hostxmlerror'];
		}
	elseif ($_GET['error'] == 3) {
		$message = $locale['ds_devadded'];
		}
	elseif ($_GET['error'] == 4) {
		$message = $locale['ds_devremoved'];
		}
	if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; 
	}
}

// For Removing Developers Website from Database
if (isset($_GET['remove']) && isnum($_GET['remove'])) {
		$result = dbquery("DELETE FROM ".DB_DEV_ADDONS_SITES." WHERE site_id='".stripinput($_GET['remove'])."'");
		$filetodelete = "xmlcache/xml_".$_GET['remove'].".xml";
		if(file_exists($filetodelete))
		{
			unlink($filetodelete);
		}

		if (!$result)	{	redirect(FUSION_SELF.$aidlink."&error=1");	}	else {	redirect(FUSION_SELF.$aidlink."&error=4");	}
}
	
// Adding Developer's Website into Database
if (isset($_POST['xmlurltoadd']) && isset($_POST['xmldevname']))
{
	$result = dbquery("INSERT INTO ".DB_DEV_ADDONS_SITES." (site_id, site_title, site_url) VALUES('0', '".stripinput($_POST['xmldevname'])."', '".stripinput($_POST['xmlurltoadd'])."')");
	if (!$result) { redirect(FUSION_SELF.$aidlink."&error=1"); }	else {	redirect(FUSION_SELF.$aidlink."&error=3");	}
}

// Retrieving Settings
	$ds = dbarray(dbquery("SELECT * FROM ".DB_DEV_ADDONS_SITES.""));

// Showing different Developer Addons
if (isset($_POST['show']) && isnum($_POST['show']))
{
	$ds = dbarray(dbquery("SELECT * FROM ".DB_DEV_ADDONS_SITES." WHERE site_id='".stripinput($_POST['show'])."'"));	
}

// Show Preview of the XML Content, i.e, No of Addons, Title
if (isset($_POST['previewxml']))
{
	// Loading the XML for Preview
	$prexml = simplexml_load_file($_POST['previewxmlurl']);
	
	if(!$prexml)
	{
		redirect(FUSION_SELF.$aidlink."&error=1");
	}
	else {
		
		// Defining a Counter for counting No of Addons
		$numofaddons = 0;
		foreach($prexml->addon as $temp)
		{
			$numofaddons++;
		}
		
		// Show Preview of the XML Content, i.e, No of Addons, Title
		echo "<form name='add_site' method='post' action='".FUSION_SELF.$aidlink."'>\n";
		echo "<table class='tbl2' cellpadding='0' cellspacing='0' align='center' style='padding: 10px;'>\n<tr>\n";
		echo "<td><input type='hidden' name='xmlurltoadd' value='".$_POST['previewxmlurl']."' /><input type='hidden' name='xmldevname' value='".$prexml->attributes()->devname."' /></td>\n</tr>\n<tr>\n";
		echo "<td><b>".$locale['ds_01']."</b>&nbsp;</td>\n";
		echo "<td>: ".$prexml->attributes()->devname."</td>\n</tr>\n<tr>\n";
		echo "<td><b>".$locale['ds_02']."</b>&nbsp;</td>\n";
		echo "<td>: ".$_POST['previewxmlurl']."</td>\n</tr>\n<tr>\n";
		echo "<td><b>".$locale['ds_03']." :</b>&nbsp;</td>\n";
		echo "<td>: ".$numofaddons."</td>\n</tr>\n<tr>\n";
		echo "<td><b>".$locale['ds_04']."</b>&nbsp;</td>\n";
		echo "<td>: <a href='".$prexml->attributes()->devname."' target='_blank'>".$prexml->attributes()->devlink."</a></td>\n</tr>\n<tr>\n";
		echo "<td><input type='submit' class='button' value='".$locale['ds_04a']."' /></td>\n";
		echo "<td><a href='".FUSION_SELF.$aidlink."'>".$locale['ds_04b']."</a></td>\n";
		echo "</tr>\n</table>\n</form>\n<br />\n";
	}
}
else {
	
// Form for Filling Up the Website and Adding it starts here
echo "<table cellpadding='0' width='100%' cellspacing='0' align='center' style='padding: 10px;'>\n<tr>\n";
echo "<td valign='top'>".$locale['ds_05']." :&nbsp;</td>\n";
echo "<form name='add_site' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<td valign='top'>\n";
echo "<input type='text' class='textbox' name='previewxmlurl' size='90' style='border: 1;' />&nbsp;<input type='submit' name='previewxml' class='button' value='".$locale['ds_05']."' />\n</td>\n</form>\n";
echo "<td valign='top'>";

// Select Menu
$result = dbquery("SELECT site_id, site_title FROM ".DB_DEV_ADDONS_SITES."");

echo "<form name='select_site' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<table cellpadding='0' cellspacing='0' align='center'>\n<tr>\n";
echo "<td valign='top'><select name='show' class='textbox' onchange='this.form.submit()'>\n";
while ($data = dbarray($result))
{
echo "<option value='".$data['site_id']."'".(isset($_POST['show']) == $data['site_id'] ? " selected='selected'" : "").">".$data['site_title']."</option>\n";
}
echo "</select></td>\n";
echo "</tr>\n</table>\n</form>\n";

echo "</td>\n";
echo "</tr>\n</table>\n";
}

// Main Content Starts here
if(!$ds)
{
	echo "<div class='admin-message'>".$locale['ds_setterror']."</div>\n";
}
else {

// Location and Name of File
$xmlsource = $ds['site_url'];
$xmlfile = "xmlcache/xml_".$ds['site_id'].".xml";

// Checking if File Exist and If file is Old than 24 Hours so that Cache will be Updated
if(file_exists($xmlfile) && (time()-filemtime($xmlfile) <60*60*24))
{
	// Importing the File from Cache
	$xml = simplexml_load_file($xmlfile);
}
else {
	// Importing the File from Website
	$xml = simplexml_load_file($xmlsource);
	$xmldata = file_get_contents($xmlsource);
	
	if($xmldata)
	{
	// Saving the File in Cache
	$filename = "xml_".$ds['site_id'].".xml";
	$filehandler = fopen("xmlcache/".$filename, 'w') or die($locale['ds_fileerror']);
	fwrite($filehandler, $xmldata);
	fclose($filehandler);
	}
	else {
		redirect(FUSION_SELF.$aidlink."&error=2");	
		}
}

if(!$xml)
{
	redirect(FUSION_SELF.$aidlink."&error=1");
}
else {
	
	// The Developer Name
	echo "<h2>".$locale['ds_06'].$xml->attributes()->devname." | <a href='".$xml->attributes()->devlink."' target='_blank'>".$locale['ds_07'].$xml->attributes()->devname."</a>\n";
	echo "<p align='right'><img src='".INFUSIONS."dev_showcase/images/delete.png' alt='".$locale['ds_remove']."' />&nbsp;<a href='".FUSION_SELF.$aidlink."&remove=".$ds['site_id']."'>".$locale['ds_08']."</a></p></h2><br />\n";
	
	// Creating Table Structure for Addons
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n";

// For Cell Colours
$i=0;

	foreach($xml->addon as $addon)
	{
		
		echo "<tr>\n";

		// Defining for Alternate Colours of Cells
		$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2"); $i++;
		
		// Title
		echo "<td  style='padding: 5px 5px 5px 5px;' valign='top' class='".$cell_color."'>\n";
		echo "<b>".$locale['ds_09a']." ::</b> ".$addon['name']."<br /><br />\n";
		echo "<b>".$locale['ds_09b']." ::</b> ".$addon['type']."<br /><br />\n";
		echo "<b>".$locale['ds_09c']." ::</b> ".$addon['version']."<br /><br />\n";
		echo "<b>".$locale['ds_09d']."</b><br />".nl2br(parseubb(parsesmileys($addon->desc), "smiley|url|img|b|i|u|left|center|right|small|big|color|"))."<br />\n";
		echo "<br /><a href='".$addon->link."'><img src='".INFUSIONS."dev_showcase/images/download.png' alt='".$locale['ds_download']."' border='0' /></a>\n";
		echo "</td>\n";
		
		// Thumbnail
		if ($addon->thumb == '')
		{
			echo "<td style='padding: 5px 5px 5px 5px;' valign='middle' class='".$cell_color."'><img src='".INFUSIONS."dev_showcase/images/noimage.png' alt='".$addon['name']."' align='right' border='0' /></td>\n";
		}
		else {
		echo "<td style='padding: 5px 5px 5px 5px;' valign='middle' class='".$cell_color."'><a href='".(($addon->thumb['large']) == '' ? $addon->thumb : $addon->thumb['large'])."' rel='thumbnail' ><img src='".$addon->thumb."' alt='".$addon['name']."' style='max-width: 250px;' align='right' border='0' /></a></td>\n";
		}
		
		echo "</tr>\n";
	}
	
	echo "</table>\n";

}

}

// Author Copyright - Do Not Remove
echo "<hr /><br /><p align='center' style='font-weight: bold;'>\n";
echo "<a href='".FUSION_SELF.$aidlink."&checkupdate=1'>".$locale['ds_check_update']."</a> | <a href='http://ankurthakur.in/' target='_blank'>".$locale['ds_authorsite']."</a>";
echo "</p>\n";
	
closetable();

require_once THEMES."templates/footer.php";
?>